*** src/backend/libpq/be-secure.c.orig	Sun Jun 20 21:46:04 2004
--- src/backend/libpq/be-secure.c	Sun Jun 20 21:41:52 2004
***************
*** 650,655 ****
--- 650,662 ----
  					(errcode_for_file_access(),
  				   errmsg("could not access private key file \"%s\": %m",
  						  fnbuf)));
+	/* 
+	 * As per similar check in postmaster.c:
+ 	 * XXX temporarily suppress check when on Windows, because there may not
+ 	 * be proper support for Unix-y file permissions.  Need to think of a
+ 	 * reasonable check to apply on Windows.
+ 	 */
+ #if !defined(__CYGWIN__) && !defined(WIN32)
  		if (!S_ISREG(buf.st_mode) || (buf.st_mode & (S_IRWXG | S_IRWXO)) ||
  			buf.st_uid != getuid())
  			ereport(FATAL,
***************
*** 657,662 ****
--- 664,670 ----
  				  errmsg("unsafe permissions on private key file \"%s\"",
  						 fnbuf),
  					 errdetail("File must be owned by the database user and must have no permissions for \"group\" or \"other\".")));
+ #endif
  
  		if (!SSL_CTX_use_PrivateKey_file(SSL_context, fnbuf, SSL_FILETYPE_PEM))
  			ereport(FATAL,
